#
# spec file for package openwbem-xmlservice-providers (Version 1.0.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx bzip2 cim-schema coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio limal limal-runlevel m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openssl openwbem openwbem-base-providers openwbem-base-providers-devel openwbem-devel pam pam-modules patch pcre perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           openwbem-xmlservice-providers
BuildRequires:  gcc-c++ openwbem-base-providers-devel openwbem-devel
URL:            http://sourceforge.net/projects/omc
%define xmlsvcprefix /usr
%define xmlsvcsysconfdir /etc
# Increment the version every time the source code changes.
Version:        1.0.0
Release:        0.7
Group:          System/Management
Summary:        A set of CIM providers that allow system services to be instrumented through a service desciption XML document.
PreReq:         /usr/bin/loadmof.sh
License:        BSD License and BSD-like
# This is necessary to build the RPM as a non-root user.
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# "yes" is the default, but we put it here explicitly to avoid someone
# setting it to "no"
AutoReqProv: yes
Requires:       openwbem openwbem-base-providers
Requires:       cim-schema >= 2.11
Source0:        %{name}-%{version}.tar.gz

%description
The XML Service provider is essentially an XML driven framework that
provides CIM instrumentation for system services. The providers that
provide this framework run within the OpenWBEM CIMOM environment.

This XML Service provider is a CIM Provider that runs within the
OpenWBEM CIMOM environment. It provides objects that represent services
through the CIM interface based on XML documents that describe the
services. It also provides health information for the services by
consuming the output of a command line that is specified in the service
description XML document.



Authors:
--------
    Jon Carey

%debug_package
%prep
# Untar the sources.
%setup

%build
# If the LD_RUN_PATH environment variable is set at link time,
# it's value is embedded in the resulting binary.  At run time,
# The binary will look here first for shared libraries.  This way
# we link against the libraries we want at run-time even if libs
# by the same name are in /usr/lib or some other path in /etc/ld.so.conf
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS -fstack-protector" \
CXXFLAGS="$RPM_OPT_FLAGS -fstack-protector" ./configure \
		--prefix=%{xmlsvcprefix} \
		--libdir=%_libdir \
		--sysconfdir=%{xmlsvcsysconfdir}
make %{?jobs:-j%jobs}

%install
# Tell 'make install' to install into the BuildRoot
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/%{xmlsvcprefix}/share/omc/svcinfo.d
MOFDIR=$RPM_BUILD_ROOT/%{xmlsvcprefix}/share/mof/%{name}
install -d $MOFDIR
install mof/*.mof $MOFDIR/
%{__rm} -f $RPM_BUILD_ROOT%{xmlsvcprefix}/%_lib/openwbem/c++providers/*.{a,la}
%{__rm} -f $RPM_BUILD_ROOT%{xmlsvcprefix}/%_lib/*.{a,la}
%{__rm} -f example-services/Makefile*
%{__rm} -f example-services/apache/Makefile*
%{__rm} -f xmlschema/Makefile*

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
# Any RPM that installs a shared library into any directory
# listed in /etc/ld.so.conf (or into /usr/lib if it hasn't been
# fixed yet to install into the correct FHS compliant paths)
# must run ldconfig in its post install script.
%run_ldconfig
# load MOF
MOFDIR=%{xmlsvcprefix}/share/mof/cim-current/Event
loadmof.sh -n root/cimv2 $MOFDIR/CIM_IndicationHandlerCIMXML.mof
loadmof.sh -n root/cimv2 $MOFDIR/CIM_IndicationFilter.mof
loadmof.sh -n root/cimv2 $MOFDIR/CIM_IndicationSubscription.mof
MOFDIR=%{xmlsvcprefix}/share/mof/%{name}
loadmof.sh -n root/cimv2 $MOFDIR/xml-service.mof || /bin/true

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc README
%doc example-services
%doc xmlschema
%{xmlsvcprefix}/%_lib/openwbem/c++providers/*.so*
%{xmlsvcprefix}/%_lib/lib*.so*
%dir %{xmlsvcprefix}/share/mof/%{name}
%{xmlsvcprefix}/share/mof/%{name}/*
%dir %{xmlsvcprefix}/share/omc
%dir %{xmlsvcprefix}/share/omc/svcinfo.d

%changelog
* Thu Jan 11 2007 - jcarey@novell.com
- Changed so the provider will look for service description XML
  documents in /usr/share/omc/svcinfo.d
* Fri Dec 01 2006 - jcarey@novell.com
- First Release (Fate#300787)
